/******************************************************************************
 * MODULE       : sensors.h
 * FUNCTION     : Hardware Abstraction Layer of Sensor service in Android Framework
 *              : This is header file of base
 * AUTHOR       : Masafumi Seike <masafumi.seike@dsn.rohm.co.jp >
 * PROGRAMMED   : Sensor Application Development Group, ROHM CO.,LTD.
 * MODIFICATION : Modified by ROHM, JUN/11/2012
 * REMARKS      :
 * COPYRIGHT    : Copyright (C) 2008 The Android Open Source Project
 *              : Copyright (C) 2011 - 2012 ROHM CO.,LTD.
 *              : Licensed under the Apache License, Version 2.0 (the "License");
 *              : you may not use this file except in compliance with the License.
 *              : You may obtain a copy of the License at
 *              :
 *              :      http://www.apache.org/licenses/LICENSE-2.0
 *              :
 *              : Unless required by applicable law or agreed to in writing, software
 *              : distributed under the License is distributed on an "AS IS" BASIS,
 *              : WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *              : See the License for the specific language governing permissions and
 *              : limitations under the License.
 *****************************************************************************/

#ifndef ANDROID_SENSORS_H
#define ANDROID_SENSORS_H

#include <hardware/sensors.h>
__BEGIN_DECLS

/*****************************************************************************
 * Constant definition (System names)                                        *
 *****************************************************************************/
#define SENSORS_SERVICE_NAME ("sensors")
#define ROHM_DEV_BH1730      ("/dev/bh1730_iodev")
#define ROHM_INPUT_BH1730    ("bh1730_inputdev")
#define BH1730_HAL_VER       (0x010003)
#define MAJOR_VERSION(ver)   ((ver >> 16) & 0xFF)
#define MINOR_VERSION(ver)   ((ver >>  8) & 0xFF)
#define BUILD_VERSION(ver)   ((ver >>  0) & 0xFF)
/*****************************************************************************
 * Constant definition                                                       *
 *****************************************************************************/
#define SENSORS_LIGHT_HANDLE (0)


__END_DECLS

#endif  // ANDROID_SENSORS_H
